{ lib
, rustPlatform
, fetchFromGitHub
}:

rustPlatform.buildRustPackage rec {
  pname = "cargo-xwin";
  version = "0.17.4";

  src = fetchFromGitHub {
    owner = "rust-cross";
    repo = "cargo-xwin";
    rev = "v${version}";
    hash = "sha256-lglCbrZhlNrBsHZUbUBNxT3QM5eNPYVvOLLTs993dXY=";
  };

  cargoHash = "sha256-WG2yxE03tRUke1GJml34ej4MUoTqQT4IZQ9OTRqaZFc=";

  meta = with lib; {
    description = "Cross compile Cargo project to Windows MSVC target with ease";
    mainProgram = "cargo-xwin";
    homepage = "https://github.com/rust-cross/cargo-xwin";
    license = with licenses; [ mit ];
    maintainers = with maintainers; [ shivaraj-bh ];
  };
}
